/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is locale4j.
 *
 * The Initial Developer of the Original Code is
 * the Vermont Department of Taxes.
 * Portions created by the Initial Developer are Copyright (C) 2007
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Tom Cort <tom.cort@state.vt.us>
 *
 * ***** END LICENSE BLOCK ***** */

package net.sf.locale4j.format;

import net.sf.locale4j.storage.LocaleStore;

import java.io.InputStream;

/**
 * An interface for classes capable of reading locale files.
 */
public interface LocaleReader {

    /**
     * Reads a stream and loads the contents into a LocaleStore.
     * @param input the stream to read from.
     * @return the data read by this method.
     */
    LocaleStore read(InputStream input);

    /**
     * Reads a stream and adds the contents to the given LocaleStore.
     * @param input the stream to read from.
     * @param data the LocaleStore to add to.
     * @return the data read by this method.
     */
    LocaleStore read(InputStream input, LocaleStore data);
}

